clear all
close all
clc

b=[1 -(.85 + .85*1i)];
a=[1 -.8];

figure(1)
set(gcf,'position',[31    53   963   638])
zplane(b,a)

figure(2)

[H,w]=freqz(b,a,-pi:2*pi/2048:pi);

plot(w./pi,abs(H),'linewidth',2)

grid on
set(gcf,'position',[31    53   963   638])
set(gca,'fontsize',16)
xlabel('$\omega\times\pi$ (rad/amostra)','interpreter','latex')
ylabel('$|H(e^{j\omega})|$','interpreter','latex')
axis tight
d=[1; zeros(11,1)];
h=filter(b,a,d);

figure(3)
set(gcf,'position',[31    53   963   638])
zplane(h.',1)

figure(4)
[H,w]=freqz(h,1,-pi:2*pi/2048:pi);

plot(w./pi,abs(H),'linewidth',2)

grid on
set(gcf,'position',[31    53   963   638])
set(gca,'fontsize',16)
xlabel('$\omega\times\pi$ (rad/amostra)','interpreter','latex')
ylabel('$|H_\textrm{FIR}(e^{j\omega})|$','interpreter','latex')
axis tight


